Subject: [PATCH V3 1/1]MMC: add support of sdhci-pxa driver

From: [email-masked] (Marek Vasut)
Date: Fri, 22 Oct 2010 02:20:10 +0200

Dne ?t 21. ??jna 2010 16:52:49 Chris Ball napsal(a):
> Hi,
> 
> On Thu, Oct 21, 2010 at 03:13:02PM +0100, Chris Ball wrote:
> > On Mon, Oct 18, 2010 at 08:32:46AM -0400, zhangfei gao wrote:
> > > Update with comments from Matt and Eric.
> > > Test with sd and emmc.
> > > 
> > > >From e5dd554ed4d3488a83d9a4888d68d1d85482f747 Mon Sep 17 00:00:00 2001
> > > 
> > > From: Zhangfei Gao <[email-masked]>
> > > Date: Mon, 20 Sep 2010 10:51:28 -0400
> > > Subject: [PATCH] mmc: add support of sdhci-pxa driver
> > > 
> > > 	Support Marvell PXA168/PXA910/MMP2 SD Host Controller
> > > 
> > > Signed-off-by: Zhangfei Gao <[email-masked]>
> > > ---
> > > 
> > >  arch/arm/plat-pxa/include/plat/sdhci.h |   32 ++++
> > >  drivers/mmc/host/Kconfig               |   12 ++
> > >  drivers/mmc/host/Makefile              |    1 +
> > >  drivers/mmc/host/sdhci-pxa.c           |  259
> > >  ++++++++++++++++++++++++++++++++ 4 files changed, 304 insertions(+),
> > >  0 deletions(-)
> > >  create mode 100644 arch/arm/plat-pxa/include/plat/sdhci.h
> > >  create mode 100644 drivers/mmc/host/sdhci-pxa.c
> > 
> > I'll take the drivers/mmc/ hunks, but you should send the plat-pxa/
> > patch through the ARM tree.
> 
> Oh.  If we do that then the driver won't compile until everything's
> together, because it #includes <plat/sdhci.h>.  Haojian/Eric, what do
> you prefer here?  Should I take the arch/arm/ hunk via the MMC tree?
> (If so, please provide ACKs.)
> 
> Thanks,

Hi, where can I find the whole driver so I can take a look? It didn't crash into 
linux-arm-kernel for some reason.

Thanks